VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping Class Reference

The `LibraryItem.StorageGroupMapping` class defines the storage deployment target and storage provisioning type for a section of type vmw:StorageGroupSection in the OVF descriptor. More...

List of all members.

## Classes
class | Type
| The `LibraryItem.StorageGroupMapping.Type` enumerated type defines the supported types of storage targets for sections of type vmw:StroageGroupSection in the OVF descriptor. More...
## Public Member Functions
| StorageGroupMapping ()
| Creates a default new instance.
vmware.vcenter.ovf.LibraryItemTypes.StorageGroupMapping.Type | Get_Type ()
| Type of storage deployment target to use for the vmw:StorageGroupSection section.
void | SetType (vmware.vcenter.ovf.LibraryItemTypes.StorageGroupMapping.Type type)
| Type of storage deployment target to use for the vmw:StorageGroupSection section.
string | GetDatastoreId ()
| Target datastore to be used for the storage group.
void | SetDatastoreId (string datastoreId)
| Target datastore to be used for the storage group.
string | GetStorageProfileId ()
| Target storage profile to be used for the storage group.
void | SetStorageProfileId (string storageProfileId)
| Target storage profile to be used for the storage group.
vmware.vcenter.ovf.DiskProvisioningType | GetProvisioning ()
| Target provisioning type to use for the storage group.
void | SetProvisioning (vmware.vcenter.ovf.DiskProvisioningType provisioning)
| Target provisioning type to use for the storage group.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LibraryItem.StorageGroupMapping` class defines the storage deployment target and storage provisioning type for a section of type vmw:StorageGroupSection in the OVF descriptor.

## Constructor & Destructor Documentation

vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::StorageGroupMapping | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.ovf.LibraryItemTypes.StorageGroupMapping.Type vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::Get_Type | ( |  | ) | `[inline]`

Type of storage deployment target to use for the vmw:StorageGroupSection section.

The specified value must be LibraryItem.StorageGroupMapping.Type.DATASTORE or LibraryItem.StorageGroupMapping.Type.STORAGE_PROFILE .

string vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::GetDatastoreId | ( |  | ) | `[inline]`

Target datastore to be used for the storage group.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Datastore` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Datastore` .

override int vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.ovf.DiskProvisioningType vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::GetProvisioning | ( |  | ) | `[inline]`

Target provisioning type to use for the storage group.

string vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::GetStorageProfileId | ( |  | ) | `[inline]`

Target storage profile to be used for the storage group.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `StorageProfile` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `StorageProfile` .

void vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::SetDatastoreId | ( | string | datastoreId | ) | `[inline]`

Target datastore to be used for the storage group.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Datastore` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Datastore` .

void vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::SetProvisioning | ( | vmware.vcenter.ovf.DiskProvisioningType | provisioning | ) | `[inline]`

Target provisioning type to use for the storage group.

void vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::SetStorageProfileId | ( | string | storageProfileId | ) | `[inline]`

Target storage profile to be used for the storage group.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `StorageProfile` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `StorageProfile` .

void vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::SetType | ( | vmware.vcenter.ovf.LibraryItemTypes.StorageGroupMapping.Type | type | ) | `[inline]`

Type of storage deployment target to use for the vmw:StorageGroupSection section.

The specified value must be LibraryItem.StorageGroupMapping.Type.DATASTORE or LibraryItem.StorageGroupMapping.Type.STORAGE_PROFILE .

override string vmware::vcenter::ovf::LibraryItemTypes::StorageGroupMapping::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs